%define name Borges
%define version 0.14.9
%define release %mkrel 2

Summary: Mandriva Linux Documents Management System
Name: %{name}
Version: %{version}
Release: %{release}
Requires: %{name}-module
Requires: libxslt-proc
Requires: make
Requires: perl
Requires: perl-XML-Twig
Requires: perl-XML-Parser
Requires: perl-DateManip
Requires: perl-XML-LibXML
Requires: ImageMagick
Requires: xfig
Requires: libxml2-utils
#Requires: tidy
Conflicts: Borges-Frontend < 0.12.2
Url: http://www.mandrivalinux.com/en/doc/project/Borges/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Publishing
BuildRequires: libxslt-proc
BuildRequires: perl-DateManip
BuildRequires: perl-XML-LibXML
BuildRequires: perl-XML-Twig
BuildRequires: ImageMagick
BuildRequires: xfig
BuildRequires: jadetex
BuildRequires: docbook-style-dsssl
BuildRequires: docbook-style-xsl
BuildRequires: docbook-dtd42-xml
BuildRequires: libxml2-utils
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

%define INSTALLDIR /usr/share/%{name}/

%description

Borges is a content production system aimed at creating documents in
many languages. Its design goals are internationalization,
flexibility, reusable content, teamwork. The system can currently be
used for any project using documents based on the DocBook XML DTD.

%package DocBook
Summary: The Borges DocBook module 
Group: Publishing
Provides: Borges-module
Requires: Borges
Requires: docbook-dtd42-xml
Requires: docbook-style-xsl
Requires: docbook-style-dsssl
Requires: tetex-latex
Requires: jadetex
Requires: openjade

%description DocBook
This package contains the DocBook module for the Borges Documents
Management System.
It holds the different files allowing to handle documents written with
the DocBook XML DTD.


%package Frontend
Summary: The BorgesWeb frontend
Group: Publishing
Requires: Borges
Requires: apache-mod_suexec

%description Frontend
This package contains the Web frontend for the Borges Documents
Management System.
It is an HTML interface allowing users to upload or edit inline the
different modules they have tasks assigned on. It then commits
modifications to CVS and eventually pass associated task.


%package doc
Summary: The Borges DMS documentation
Group: Publishing

%description doc
This package contains the documentation and the documentation sources
for the Borges Documents Management System. The doc is written with
Borges so the sources included can be regarded as a tutorial for
learning how to use Borges.

%prep
%setup -q

%build
%makeinstall PREFIX=$(pwd)/installdir/ REALDESTDIR=$(pwd)/installdir/usr/share/Borges/
make DESTDIR=$(pwd)/installdir/usr/share/Borges/ REALDESTDIR=$(pwd)/installdir/usr/share/Borges/

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/
rm -f $RPM_BUILD_ROOT/usr/share/Borges/backend/Makefile.TDB
rm -f $RPM_BUILD_ROOT/usr/share/Borges/template/drivers/TDB-tex.xsl
find doc/ -name .cvsignore -exec rm -f {} \;
find doc/ -name \*.validate -exec rm -f {} \;
find doc/ -type f -empty -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG
%dir %{INSTALLDIR}
# version management stylesheets
%dir %{INSTALLDIR}/XSL
%{INSTALLDIR}/XSL/bigbrother.xsl
%{INSTALLDIR}/XSL/bigbrother-todos.xsl
%{INSTALLDIR}/XSL/extract_ids.xsl
%{INSTALLDIR}/XSL/gather_revhistories.xsl
%{INSTALLDIR}/XSL/summarize_tasks.xsl
%{INSTALLDIR}/XSL/db2omf.xsl
%{INSTALLDIR}/XSL/extract_revisions.xsl
%{INSTALLDIR}/XSL/docs_index.xsl
%{INSTALLDIR}/XSL/filter.xsl
%{INSTALLDIR}/XSL/report_summary.xsl
%{INSTALLDIR}/XSL/todo_tasks.xsl
%{INSTALLDIR}/XSL/list_modules.xsl
# management perl/shell scripts.xsl
%dir %{INSTALLDIR}/bin
%{INSTALLDIR}/bin/*.sh
%{INSTALLDIR}/bin/configure
%{INSTALLDIR}/bin/*.pl
%{INSTALLDIR}/bin/diff2html
# Utilities
%dir %{INSTALLDIR}/utils
%{INSTALLDIR}/utils/*
# Makefile structure
%dir %{INSTALLDIR}/backend
%{INSTALLDIR}/backend/cvsignore.*
%{INSTALLDIR}/backend/Makefile.entities
%{INSTALLDIR}/backend/Makefile.src.images
%{INSTALLDIR}/backend/Makefile.reports
%{INSTALLDIR}/backend/Makefile.onemodule.include
%{INSTALLDIR}/backend/Makefile.module
%{INSTALLDIR}/backend/Makefile.manual.include
%{INSTALLDIR}/backend/Makefile.manual
%{INSTALLDIR}/backend/Makefile.include.in
%{INSTALLDIR}/backend/Makefile.images
# System implementation template
%dir %{INSTALLDIR}/template/
%dir %{INSTALLDIR}/template/conf/
%dir %{INSTALLDIR}/template/drivers/
%{INSTALLDIR}/template/conf/*
%{INSTALLDIR}/template/images
%{INSTALLDIR}/backend/psgml-top.xml
%{INSTALLDIR}/template/Makefile
%{INSTALLDIR}/template/README
%{INSTALLDIR}/VERSION
%{INSTALLDIR}/README
%{INSTALLDIR}/LICENSE
%{INSTALLDIR}/COPYING
# Sample document
%dir %{INSTALLDIR}/Sample
%{INSTALLDIR}/Sample/*
# %{INSTALLDIR}/Sample/en/*


%files DocBook
%defattr(-,root,root)
%{INSTALLDIR}/template/drivers/docbook-*sl
%{INSTALLDIR}/backend/Makefile.DB

%files Frontend
%defattr(-,root,root)
%{INSTALLDIR}/bin/web-frontend.cgi

%files doc
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG LICENSE COPYING doc




%changelog

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.14.9-2mdv2007.0
+ Revision: 133283
- fix apache requires
- Import Borges

* Fri Sep 01 2006 Camille Begnis <camille@mandriva.com> 0.14.9-1mdv2007.0
- 0.14.9

* Wed Aug 23 2006 Camille Begnis <camille@mandriva.com> 0.14.8-1mdv2007.0
- 0.14.8

* Fri Aug 18 2006 Camille Begnis <camille@mandriva.com> 0.14.7-1mdv2007.0
- 0.14.7

* Fri Aug 18 2006 Camille Begnis <camille@mandriva.com> 0.14.6-1mdv2007.0
- 0.14.6

* Wed Jul 26 2006 Camille Begnis <camille@mandriva.com> 0.14.5-1mdv2007.0
- 0.14.5
- now requires xmllint

* Wed Jul 05 2006 Camille Begnis <camille@mandriva.com> 0.14.4-1mdv2007.0
- 0.14.4

* Thu Mar 30 2006 Camille Begnis <camille@mandriva.com> 0.14.3-1mdk
- 0.14.3

* Thu Aug 18 2005 Camille Begnis <camille@mandriva.com> 0.14.2-1mdk
- 0.14.2

* Wed Aug 17 2005 Camille Begnis <camille@mandriva.com> 0.14.1-1mdk
- 0.14.1

* Thu Jul 21 2005 Camille Begnis <camille@mandriva.com> 0.14.0-1mdk
- 0.14.0: migrate to UTF-8

* Fri Feb 11 2005 Camille Begnis <camille@mandrakesoft.com> 0.13.0-1mdk
- 0.13.0

* Tue Feb 08 2005 Camille Begnis <camille@mandrakesoft.com> 0.12.9-1mdk
- 0.12.9

* Wed Jan 12 2005 Camille Begnis <camille@mandrakesoft.com> 0.12.8-1mdk
- 0.12.8

* Tue Sep 28 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.7-1mdk
- 0.12.7

* Wed Sep 01 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.6-1mdk
- 0.12.6

* Wed Aug 25 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.5-1mdk
- 0.12.5

* Thu Aug 19 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.4-1mdk
- 0.12.4

* Tue May 11 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.3-1mdk
- 0.12.3

* Tue Mar 23 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.2-1mdk
- 0.12.2

